LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XConnectableShape Interface Referencepublished

`import"XConnectableShape.idl";`

Inheritance diagram for XConnectableShape:

## Public Member Functions
boolean | canConnect ([in] com::sun::star::awt::Point nPos, [in] boolean bCreateGluePoint, [in] long nMaxDist)
boolean | doConnect ([in] com::sun::star::awt::Point nPos, [in] boolean bCreateGluePoint, [in] long nMaxDist)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## ◆ canConnect()

boolean canConnect | ( | [in] com::sun::star::awt::Point | nPos,
|  | [in] boolean | bCreateGluePoint,
|  | [in] long | nMaxDist
| ) |  |

## ◆ doConnect()

boolean doConnect | ( | [in] com::sun::star::awt::Point | nPos,
|  | [in] boolean | bCreateGluePoint,
|  | [in] long | nMaxDist
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XConnectableShape.idl